#include <iostream>

using namespace std;

int main()
{
    long long int n,m;
    long long int x;
    cin>>n>>m;
    if(n==1){x=m;}
    else if(m==1){x=n;}
    else if(n==2){x=m*2;}
    else if(m==2){x=n*2;}
    else if(n%2==1 && m%2 ==1){
        x=2*(m+n)-4+((n-2)*(m-2)-1)/2;
    }
    else {x=2*(m+n)-4+((n-2)*(m-2))/2;}

    cout<<x;
    return 0;
}